{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "b02bfb00",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Your branch is up to date with 'origin/main'.\n"
     ]
    },
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "Switched to branch 'main'\n"
     ]
    }
   ],
   "source": [
    "!git checkout main"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "92d482e6",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Updating 234639a..20173e9\n",
      "Fast-forward\n",
      " .gitignore                                         |  11 +\n",
      " Apikeys.ipynb                                      | 128 +--\n",
      " {llms/MCPs => backend}/__init__.py                 |   0\n",
      " {llms/Modelos => backend/api}/__init__.py          |   0\n",
      " {llms => backend/api/v1}/__init__.py               |   0\n",
      " backend/api/v1/endpoints/ping.py                   |   9 +\n",
      " backend/api/v1/router.py                           |   7 +\n",
      " {security => backend/deps}/__init__.py             |   0\n",
      " backend/deps/auth.py                               |   0\n",
      " backend/main.py                                    |  24 +\n",
      " data/files/txt/tree.txt                            | 980 +++++++++++++++++++++\n",
      " entrypoint/init_db.py                              |   2 +-\n",
      " frontend/.gitignore                                |   3 +\n",
      " frontend/index.html                                |   4 +-\n",
      " frontend/package-lock.json                         | 345 ++++++++\n",
      " frontend/package.json                              |   2 +\n",
      " frontend/src/assets/icons/favicon.svg              |  55 ++\n",
      " frontend/src/assets/icons/favicon.tsx              |  37 +\n",
      " frontend/src/assets/icons/index.ts                 |  18 +\n",
      " .../components/{ => Appshell}/Appshell.module.css  |  25 +-\n",
      " .../src/components/{ => Appshell}/Appshell.tsx     |  97 +-\n",
      " frontend/src/components/HoloShader.tsx             |  30 +-\n",
      " frontend/src/components/Links/MainlLinks.tsx       |   0\n",
      " frontend/src/components/LlamadorAPI.tsx            |  11 +-\n",
      " frontend/src/components/MetodoSelect.tsx           |   4 +-\n",
      " frontend/src/components/Welcome/Welcome.tsx        |   6 +-\n",
      " frontend/src/components/botoncito.tsx              |  16 -\n",
      " frontend/src/data/navigationsLinks_1.ts            |  20 +\n",
      " frontend/src/data/submenuLinks_1.ts                |  35 +\n",
      " frontend/src/favicon.svg                           |   1 -\n",
      " frontend/src/pages/404.tsx                         |  55 +-\n",
      " frontend/src/pages/Analitica.tsx                   |   6 +-\n",
      " frontend/src/pages/Consulta_api.tsx                |   4 +-\n",
      " frontend/src/pages/Home.page.tsx                   |  12 +-\n",
      " frontend/src/pages/Plantilla.tsx                   |   2 +-\n",
      " frontend/src/pages/Prueba_appshell.tsx             |   7 +-\n",
      " frontend/src/theme.ts                              |  57 +-\n",
      " frontend/src/types/svg.d.ts                        |   7 +\n",
      " frontend/src/types/vite-env.d.ts                   |   1 +\n",
      " frontend/tsconfig.json                             |   2 +-\n",
      " frontend/{vite.config.mjs => vite.config.js}       |   5 +-\n",
      " frontend/yarn.lock                                 | 160 +++-\n",
      " llms/Agente.py                                     | 122 ---\n",
      " llms/Modelos/Openai_model.py                       |  64 --\n",
      " main.py                                            |  25 +-\n",
      " prueba_loop_agente.py                              |  94 +-\n",
      " src/ApiKeys/openai_apikey_mmr.py                   |   2 +-\n",
      " src/ConexionApis/OpenAi_conexion.py                |  15 +-\n",
      " src/Credenciales/postgres_credencial_mmr.py        |   2 +-\n",
      " src/Llms/Agente.py                                 | 196 +++++\n",
      " {llms => src/Llms}/MCPs/MCPStdioServer.py          |   0\n",
      " src/Llms/MCPs/__init__.py                          |   0\n",
      " {llms => src/Llms}/Memory/Base_MemoryConv.py       |   0\n",
      " {llms => src/Llms}/Memory/postgres_MemoryConv.py   |   2 +-\n",
      " {llms => src/Llms}/Modelos/Base_model.py           |   2 +-\n",
      " src/Llms/Modelos/Openai_model.py                   |  82 ++\n",
      " {llms => src/Llms}/Modelos/Openai_model_mmr.py     |   2 +-\n",
      " src/Llms/Modelos/__init__.py                       |   0\n",
      " src/Llms/__init__.py                               |   0\n",
      " {security => src/Security}/Encriptar.py            |   0\n",
      " src/Security/__init__.py                           |   0\n",
      " 61 files changed, 2343 insertions(+), 453 deletions(-)\n",
      " rename {llms/MCPs => backend}/__init__.py (100%)\n",
      " rename {llms/Modelos => backend/api}/__init__.py (100%)\n",
      " rename {llms => backend/api/v1}/__init__.py (100%)\n",
      " create mode 100644 backend/api/v1/endpoints/ping.py\n",
      " create mode 100644 backend/api/v1/router.py\n",
      " rename {security => backend/deps}/__init__.py (100%)\n",
      " create mode 100644 backend/deps/auth.py\n",
      " create mode 100644 backend/main.py\n",
      " create mode 100644 frontend/src/assets/icons/favicon.svg\n",
      " create mode 100644 frontend/src/assets/icons/favicon.tsx\n",
      " create mode 100644 frontend/src/assets/icons/index.ts\n",
      " rename frontend/src/components/{ => Appshell}/Appshell.module.css (82%)\n",
      " rename frontend/src/components/{ => Appshell}/Appshell.tsx (62%)\n",
      " create mode 100644 frontend/src/components/Links/MainlLinks.tsx\n",
      " delete mode 100644 frontend/src/components/botoncito.tsx\n",
      " create mode 100644 frontend/src/data/navigationsLinks_1.ts\n",
      " create mode 100644 frontend/src/data/submenuLinks_1.ts\n",
      " delete mode 100644 frontend/src/favicon.svg\n",
      " create mode 100644 frontend/src/types/svg.d.ts\n",
      " create mode 100644 frontend/src/types/vite-env.d.ts\n",
      " rename frontend/{vite.config.mjs => vite.config.js} (74%)\n",
      " delete mode 100644 llms/Agente.py\n",
      " delete mode 100644 llms/Modelos/Openai_model.py\n",
      " create mode 100644 src/Llms/Agente.py\n",
      " rename {llms => src/Llms}/MCPs/MCPStdioServer.py (100%)\n",
      " create mode 100644 src/Llms/MCPs/__init__.py\n",
      " rename {llms => src/Llms}/Memory/Base_MemoryConv.py (100%)\n",
      " rename {llms => src/Llms}/Memory/postgres_MemoryConv.py (97%)\n",
      " rename {llms => src/Llms}/Modelos/Base_model.py (95%)\n",
      " create mode 100644 src/Llms/Modelos/Openai_model.py\n",
      " rename {llms => src/Llms}/Modelos/Openai_model_mmr.py (97%)\n",
      " create mode 100644 src/Llms/Modelos/__init__.py\n",
      " create mode 100644 src/Llms/__init__.py\n",
      " rename {security => src/Security}/Encriptar.py (100%)\n",
      " create mode 100644 src/Security/__init__.py\n"
     ]
    }
   ],
   "source": [
    "!git merge cambios_frontend\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "91a704a5",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "remote: . Processing 1 references        \n",
      "remote: Processed 1 references in total        \n",
      "To http://10.8.0.6:3123/egutierrez/Fitz_Studio.git\n",
      "   234639a..20173e9  main -> main\n"
     ]
    }
   ],
   "source": [
    "!git push origin main"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": ".venv",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.11.11"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
